diff -ur nss-3.33/nss/cmd/pk11mode/Makefile nss-3.33-p/nss/cmd/pk11mode/Makefile
--- nss-3.33/nss/cmd/pk11mode/Makefile	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/cmd/pk11mode/Makefile	2017-10-10 00:02:02.459725052 +0000
@@ -38,6 +38,7 @@
 
 EXTRA_SHARED_LIBS += \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/cmd/platlibs.mk nss-3.33-p/nss/cmd/platlibs.mk
--- nss-3.33/nss/cmd/platlibs.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/cmd/platlibs.mk	2017-10-10 00:02:02.477487477 +0000
@@ -182,6 +182,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
@@ -227,6 +228,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/cmd/shlibsign/Makefile nss-3.33-p/nss/cmd/shlibsign/Makefile
--- nss-3.33/nss/cmd/shlibsign/Makefile	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/cmd/shlibsign/Makefile	2017-10-10 00:02:02.469207364 +0000
@@ -36,6 +36,7 @@
 
 EXTRA_SHARED_LIBS += \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/cmd/shlibsign/mangle/Makefile nss-3.33-p/nss/cmd/shlibsign/mangle/Makefile
--- nss-3.33/nss/cmd/shlibsign/mangle/Makefile	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/cmd/shlibsign/mangle/Makefile	2017-10-10 00:02:02.468573249 +0000
@@ -36,6 +36,7 @@
 
 EXTRA_SHARED_LIBS += \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/ckfw/builtins/Makefile nss-3.33-p/nss/lib/ckfw/builtins/Makefile
--- nss-3.33/nss/lib/ckfw/builtins/Makefile	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/ckfw/builtins/Makefile	2017-10-10 00:02:02.562704766 +0000
@@ -33,6 +33,7 @@
 
 EXTRA_SHARED_LIBS += \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/ckfw/capi/Makefile nss-3.33-p/nss/lib/ckfw/capi/Makefile
--- nss-3.33/nss/lib/ckfw/capi/Makefile	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/ckfw/capi/Makefile	2017-10-10 00:02:02.565241871 +0000
@@ -39,6 +39,7 @@
 
 EXTRA_LIBS += \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/freebl/config.mk nss-3.33-p/nss/lib/freebl/config.mk
--- nss-3.33/nss/lib/freebl/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/freebl/config.mk	2017-10-10 00:02:02.614261295 +0000
@@ -85,6 +85,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lnspr4 \
 	$(NULL)
 endif
diff -ur nss-3.33/nss/lib/nss/config.mk nss-3.33-p/nss/lib/nss/config.mk
--- nss-3.33/nss/lib/nss/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/nss/config.mk	2017-10-10 00:02:02.651581991 +0000
@@ -41,6 +41,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/smime/config.mk nss-3.33-p/nss/lib/smime/config.mk
--- nss-3.33/nss/lib/smime/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/smime/config.mk	2017-10-10 00:02:02.669265204 +0000
@@ -43,6 +43,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/softoken/config.mk nss-3.33-p/nss/lib/softoken/config.mk
--- nss-3.33/nss/lib/softoken/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/softoken/config.mk	2017-10-10 00:02:02.678645208 +0000
@@ -52,6 +52,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/softoken/legacydb/config.mk nss-3.33-p/nss/lib/softoken/legacydb/config.mk
--- nss-3.33/nss/lib/softoken/legacydb/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/softoken/legacydb/config.mk	2017-10-10 00:02:02.674050863 +0000
@@ -50,6 +50,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/ssl/config.mk nss-3.33-p/nss/lib/ssl/config.mk
--- nss-3.33/nss/lib/ssl/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/ssl/config.mk	2017-10-10 00:02:02.697998856 +0000
@@ -46,6 +46,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/sysinit/config.mk nss-3.33-p/nss/lib/sysinit/config.mk
--- nss-3.33/nss/lib/sysinit/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/sysinit/config.mk	2017-10-10 00:02:02.698708752 +0000
@@ -46,6 +46,7 @@
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
diff -ur nss-3.33/nss/lib/util/config.mk nss-3.33-p/nss/lib/util/config.mk
--- nss-3.33/nss/lib/util/config.mk	2017-09-20 09:47:27.000000000 +0000
+++ nss-3.33-p/nss/lib/util/config.mk	2017-10-10 00:02:02.708029616 +0000
@@ -36,6 +36,7 @@
 EXTRA_SHARED_LIBS += \
 	-L$(DIST)/lib \
 	-L$(NSPR_LIB_DIR) \
+	-R$(NSPR_LIB_DIR) \
 	-lplc4 \
 	-lplds4 \
 	-lnspr4 \
